## org.eclipse.amp.axf.view
Class SWTAsyncModelListener.ReportingRunner

    java.lang.Object
      org.eclipse.amp.axf.view.SWTAsyncModelListener.ReportingRunner

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SWTAsyncModelListener

    private final class SWTAsyncModelListener.ReportingRunner

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`private LifeCycleState` `key`
`private IModel` `model`
`(package private) java.lang.Exception` `t`

Constructor Summary
`SWTAsyncModelListener.ReportingRunner(LifeCycleState key, IModel model)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    private final LifeCycleState key

### model

    private final IModel model

### t

    java.lang.Exception t

Constructor Detail

### SWTAsyncModelListener.ReportingRunner

    public SWTAsyncModelListener.ReportingRunner(LifeCycleState key,
                                                 IModel model)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors